<?php
if (!defined("ROOT_PATH"))
{
	header("HTTP/1.1 403 Forbidden");
	exit;
}
class pjProductModel extends pjAppModel
{
	protected $primaryKey = 'id';
	
	protected $table = 'products';
	
	protected $schema = array(
		array('name' => 'id', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'name', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'url', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'price', 'type' => 'decimal', 'default' => ':NULL'),
		array('name' => 'suggest_type', 'type' => 'enum', 'default' => ':NULL'),
		array('name' => 'price_suggest_1', 'type' => 'decimal', 'default' => ':NULL'),
		array('name' => 'price_suggest_2', 'type' => 'decimal', 'default' => ':NULL'),
		array('name' => 'price_suggest_3', 'type' => 'decimal', 'default' => ':NULL'),
		array('name' => 'price_suggest_1_action', 'type' => 'enum', 'default' => ':NULL'),
		array('name' => 'price_suggest_2_action', 'type' => 'enum', 'default' => ':NULL'),
		array('name' => 'price_suggest_3_action', 'type' => 'enum', 'default' => ':NULL'),
			
		array('name' => 'price_suggest_1_promo', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'price_suggest_2_promo', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'price_suggest_3_promo', 'type' => 'varchar', 'default' => ':NULL'),
			
		array('name' => 'price_suggest_1_email', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'price_suggest_2_email', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'price_suggest_3_email', 'type' => 'varchar', 'default' => ':NULL'),
			
		array('name' => 'price_suggest_1_message', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'price_suggest_2_message', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'price_suggest_3_message', 'type' => 'varchar', 'default' => ':NULL'),
			
		array('name' => 'price_range_1_action', 'type' => 'enum', 'default' => ':NULL'),
		array('name' => 'price_range_2_action', 'type' => 'enum', 'default' => ':NULL'),
		array('name' => 'price_range_3_action', 'type' => 'enum', 'default' => ':NULL'),
			
		array('name' => 'price_range_1_promo', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'price_range_2_promo', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'price_range_3_promo', 'type' => 'varchar', 'default' => ':NULL'),
			
		array('name' => 'price_range_1_email', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'price_range_2_email', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'price_range_3_email', 'type' => 'varchar', 'default' => ':NULL'),
			
		array('name' => 'price_range_1_message', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'price_range_2_message', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'price_range_3_message', 'type' => 'varchar', 'default' => ':NULL'),

		array('name' => 'ask_price', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'status', 'type' => 'enum', 'default' => 'T')
	);
	
	public static function factory($attr=array())
	{
		return new pjProductModel($attr);
	}
}
?>